Summary: A performance monitor for Linux with X Window System and /proc
Name: xperfmon++
Version: 1.1
Release: 2
Source: ftp://sunsite.unc.edu/pub/Linux/system/status/xstatus/xperfmon++_1.1.tar.gz
Requires: kernel >= 2
Copyright: GPL
URL: http://pioneer.arc.nasa.gov/~rsmith/xperfmon.html
Packager: Michael J. Long <mjlong@mindspring.com>
Group: X11/Utilities
# This is intentionally not built as a relocatable package because
# xmkmf is used to configure the software.
BuildRoot: /tmp/xperfmon-root
Vendor: Michael J. Long <mjlong@mindspring.com>
%description
A performance monitor for Linux with X Window System and /proc.
Shows selected machine load statistics, and can show
warnings when statistics go above or below settings.
Should work with Linux kernels 2.0.x, 2.1.x, and 2.2.x.
This version uses /proc.

%prep 
%setup -n xperfmon.${RPM_PACKAGE_VERSION}
export PATH=$PATH:/usr/X11R6/bin
xmkmf

%build
export PATH=$PATH:/usr/X11R6/bin
make

%install
export DESTDIR=${RPM_BUILD_ROOT}
make install install.man

%clean
rm -fr ${RPM_BUILD_ROOT}

%files
%attr( -, root, root ) %doc README xperfmon++.lsm announce copyright
%attr( -, root, root ) %config /usr/X11R6/lib/X11/app-defaults/XPerfmon++
%attr( -, root, root ) /usr/X11R6/bin/xperfmon++
%attr( -, root, root ) /usr/X11R6/man/man1/xperfmon++.1x
